# FoundationClasses
TKMath
Convert

# Convert_TorusToBSplineSurface Class Reference

This algorithm converts a bounded Torus into a rational
B-spline surface. The torus is a Torus from package gp.
The parametrization of the torus is :
P (U, V) =
Loc + MinorRadius * Sin(V) * Zdir +
(MajorRadius+MinorRadius*Cos(V)) * (Cos(U)*Xdir + Sin(U)*Ydir)
where Loc is the center of the torus, Xdir, Ydir and Zdir are the
normalized directions of the local cartesian coordinate system of
the Torus. The parametrization range is U [0, 2PI], V [0, 2PI].
KeyWords :
Convert, Torus, BSplineSurface.
.

`#include <Convert_TorusToBSplineSurface.hxx>`

Inheritance diagram for Convert_TorusToBSplineSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_TorusToBSplineSurface (const gp_Torus &T, const Standard_Real U1, const Standard_Real U2, const Standard_Real V1, const Standard_Real V2)
| The equivalent B-spline surface as the same orientation as the torus in the U and V parametric directions. Raised if U1 = U2 or U1 = U2 + 2.0 * Pi Raised if V1 = V2 or V1 = V2 + 2.0 * Pi .
Standard_EXPORT | Convert_TorusToBSplineSurface (const gp_Torus &T, const Standard_Real Param1, const Standard_Real Param2, const Standard_Boolean UTrim=Standard_True)
| The equivalent B-spline surface as the same orientation as the torus in the U and V parametric directions. Raised if Param1 = Param2 or Param1 = Param2 + 2.0 * Pi .
Standard_EXPORT | Convert_TorusToBSplineSurface (const gp_Torus &T)
| The equivalent B-spline surface as the same orientation as the torus in the U and V parametric directions. .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_TorusToBSplineSurface::Convert_TorusToBSplineSurface | ( | const gp_Torus & | T,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Standard_Real | V1,
|  | const Standard_Real | V2
| ) |

Standard_EXPORT Convert_TorusToBSplineSurface::Convert_TorusToBSplineSurface | ( | const gp_Torus & | T,
|  | const Standard_Real | Param1,
|  | const Standard_Real | Param2,
|  | const Standard_Boolean | UTrim = `Standard_True`
| ) |

Standard_EXPORT Convert_TorusToBSplineSurface::Convert_TorusToBSplineSurface | ( | const gp_Torus & | T | ) |

## Member Function Documentation

void Convert_TorusToBSplineSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_TorusToBSplineSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_TorusToBSplineSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

The documentation for this class was generated from the following file:

- Convert_TorusToBSplineSurface.hxx